## f_opendir

The f_opendir function opens a directory.

    FRESULT f_opendir (
      DIR* dp,           /* [OUT] Pointer to the directory object structure */
      const TCHAR* path  /* [IN] Directory name */
    );

#### Parameters

dp
  Pointer to the blank directory object to create a new one.
path
  Pointer to the null-terminated string that specifies the directory name to be opened.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_OBJECT, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE, FR_TOO_MANY_OPEN_FILES

#### Description

The `f_opendir` function opens an exsisting directory and creates a directory object for subsequent `f_readdir` function.

#### QuickInfo

Available when `FF_FS_MINIMIZE <= 1`.

#### See Also

`f_readdir, f_closedir, DIR`

Return